View Issue Details

IDProjectCategoryView StatusLast Update
0031088RunnerMacPublic2020-03-09 15:22
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformmacOSOSmacOS MojaveOS Version
Product Version2.2.3 
Target Version2.2.5Fixed in Version2.2.5 
Summary0031088: Mac: mouse_button always reports 0 regardless of button pressed
DescriptionThe in built variable mouse_button doesn't work correctly for Macs and will always report 0.
Steps To Reproduce1) Run the sample on a Mac
2) Press any mouse button
3) See that this returns 0 only
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.3.340
2.x Runtime Verified In

Activities

Stewart Bishop

2019-06-26 09:36

Developer  

Mouse_Button.yyz (19,923 bytes)

Russell Kay

2019-11-22 14:08

Manager   ~0065146

Fixed in gitlab

Patrick Roche

2020-03-09 15:22

Adminstrator   ~0065475

Fixed in IDE v9.2.1.2152 Runtime v9.9.1.1717